class LoginInviteUser {
  String userId;
  String nickname;
  String appName;
  String nickNameColor;
  String appNameColor;
  String avatar;

  LoginInviteUser({this.userId, this.nickname, this.appName});

  LoginInviteUser.fromJson(Map<String, dynamic> json) {
    userId = json['user_id']?.toString();
    nickname = json['nickname']?.toString();
    appName = json['app_name']?.toString();
    avatar = json['avatar']?.toString();
    appNameColor = json['app_name_color']?.toString();
    nickNameColor = json['nickname_color']?.toString();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['user_id'] = this.userId;
    data['nickname'] = this.nickname;
    data['app_name'] = this.appName;
    data['nickname_color'] = this.nickNameColor;
    data['app_name_color'] = this.appNameColor;
    data['avatar'] = this.avatar;
    return data;
  }
}
